#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <string>
#include <set>
#include <map>
#include <unordered_set>
#include <unordered_map>
#include <queue>
#include <stack>
#include <cstring>
#include <cassert>
using namespace std;
#define rep(i,a,n) for (int i=a;i<(int)(n);i++)
#define per(i,a,n) for (int i=(n)-1;i>=(int)(a);i--)
template<typename T> ostream& operator<<(ostream& _s, vector<T> _t) {rep(i, 0, _t.size()) _s << (i ? " " : "") << _t[i]; return _s;}
template<typename T> istream& operator>>(istream& _s, vector<T> &_t) {rep(i, 0, _t.size()) _s >> _t[i]; return _s;}
template<typename T, typename U> ostream& operator<<(ostream& _s, pair<T, U> _t) {_s << "(" << _t.first << "," << _t.second << ")"; return _s;}
template<typename T, typename U> istream& operator>>(istream& _s, pair<T, U> &_t) {_s >> _t.first >> _t.second; return _s;}
typedef long long ll;

const ll MOD = 1000003;

int main() {
    // ios_base::sync_with_stdio(false);
    int n;
    scanf("%d", &n);

    vector<vector<int>> g(n);
    rep(a,1,n) {
        int b;
        scanf("%d", &b);
        b--;
        g[b].push_back(a);
        g[a].push_back(b);
    }

    vector<int> d(n);
    stack<int> s;
    ll res = 0;
    rep(fr,0,n) {
        rep(j,0,n) d[j] = -1;
        d[fr] = 0;
        s.push(fr);
        while(!s.empty()) {
            const int a = s.top();
            s.pop();
            for (int& b : g[a]) {
                if (d[b] == -1) {
                    d[b] = d[a] + 1;
                    s.push(b);
                }
            }
        }
        rep(to,fr+1,n) {
            res = (res + d[to]) % MOD;
        }
    }

    printf("%lld\n", res);
}
